Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.context.file
Class LinkHandler

    java.lang.Object
      org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
          org.jboss.virtual.plugins.context.AbstractURLHandler
              org.jboss.virtual.plugins.context.file.LinkHandler

All Implemented Interfaces:
  java.io.Serializable, StructuredVirtualFileHandler, VirtualFileHandler

    public class LinkHandler

extends AbstractURLHandler
implements StructuredVirtualFileHandler

A handler for link directories.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
`cachedLastModified, log, vfsUrl`

Constructor Summary
`LinkHandler(FileSystemContext context, VirtualFileHandler parent, java.net.URI uri, java.lang.String name, java.util.List<LinkInfo> links)` Create a new LinkHandler.

Method Summary
`VirtualFileHandler` | `createChildHandler(java.lang.String name)` Create a virtual file context
`protected VirtualFileHandler` | `createLinkHandler(VirtualFileHandler parent, java.lang.String name, java.net.URI linkURI)`
`protected void` | `doClose()` The real close
`VirtualFileHandler` | `findChild(java.lang.String path)` Find a child
`java.util.List<VirtualFileHandler>` | `getChildren(boolean ignoreErrors)` Get the children
`boolean` | `isLeaf()` Whether it is a simple leaf of the VFS, i.e. whether it can contain other files

Methods inherited from class org.jboss.virtual.plugins.context.AbstractURLHandler
`exists, getLastModified, getSize, getURL, initCacheLastModified, isHidden, openStream, toURI, toURL`

Methods inherited from class org.jboss.virtual.plugins.context.AbstractVirtualFileHandler
`close, decrement, equals, getName, getParent, getPathName, getVFSContext, getVirtualFile, hasBeenModified, hashCode, checkClosed, increment, setPathName, simpleFindChild, structuredFindChild, toString, toVfsUrl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkHandler

    public LinkHandler(FileSystemContext context,
                       VirtualFileHandler parent,
                       java.net.URI uri,
                       java.lang.String name,
                       java.util.List<LinkInfo> links)
                throws java.io.IOException,
                       java.net.URISyntaxException

  Create a new LinkHandler.

  Parameters:
    `context` - the context
    `parent` - the parent
    `uri` - the uri
    `name` - the name
    `links` - the links
  Throws:
    `java.io.IOException` - for an error accessing the file system
    `java.lang.IllegalArgumentException` - for a null context, url
    `java.net.URISyntaxException` - if the uri cannot be parsed

Method Detail

### isLeaf

    public boolean isLeaf()

  Description copied from interface: `VirtualFileHandler`
  Whether it is a simple leaf of the VFS, i.e. whether it can contain other files

  Specified by:
    `isLeaf` in interface `VirtualFileHandler`
  Returns:
    true if a simple file.

### getChildren

    public java.util.List<VirtualFileHandler> getChildren(boolean ignoreErrors)
                                                   throws java.io.IOException

  Description copied from interface: `VirtualFileHandler`
  Get the children

  Specified by:
    `getChildren` in interface `VirtualFileHandler`
  Parameters:
    `ignoreErrors` - whether to ignore errors
  Returns:
    the children
  Throws:
    `java.io.IOException` - for an error accessing the file system

### findChild

    public VirtualFileHandler findChild(java.lang.String path)
                                 throws java.io.IOException

  Description copied from interface: `VirtualFileHandler`
  Find a child

  Specified by:
    `findChild` in interface `VirtualFileHandler`
  Parameters:
    `path` - the path
  Returns:
    the child
  Throws:
    `java.io.IOException` - for an error accessing the file system (or the child doesn't exist)

### createChildHandler

    public VirtualFileHandler createChildHandler(java.lang.String name)
                                          throws java.io.IOException

  Description copied from interface: `StructuredVirtualFileHandler`
  Create a virtual file context

  Specified by:
    `createChildHandler` in interface `StructuredVirtualFileHandler`
  Parameters:
    `name` - the name
  Returns:
    the handler
  Throws:
    `java.io.IOException` - for any error accessing the virtual file system

### doClose

    protected void doClose()

  Description copied from class: `AbstractVirtualFileHandler`
  The real close

  Overrides:
    `doClose` in class `AbstractVirtualFileHandler`

### createLinkHandler

    protected VirtualFileHandler createLinkHandler(VirtualFileHandler parent,
                                                   java.lang.String name,
                                                   java.net.URI linkURI)
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD